%define upstream_name    Want
%define upstream_version 0.29

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A generalisation of wantarray
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/R/RO/ROBIN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
This module generalises the mechanism of the wantarray function, allowing a
function to determine in some detail how its return value is going to be
immediately used.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README TODO
%{perl_vendorarch}/Want.pm
%{perl_vendorarch}/auto/Want
%{_mandir}/*/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.290.0-2.mga6
+ Revision: 1035689
- Rebuild for perl 5.22.2

* Sun Mar 13 2016 shlomif <shlomif> 0.290.0-1.mga6
+ Revision: 989858
- update to 0.29

* Fri Feb 12 2016 umeabot <umeabot> 0.260.0-3.mga6
+ Revision: 958200
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.260.0-2.mga6
+ Revision: 845501
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.260.0-1.mga6
+ Revision: 841279
- update to 0.26

* Wed Oct 15 2014 umeabot <umeabot> 0.230.0-5.mga5
+ Revision: 746667
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.230.0-4.mga5
+ Revision: 732613
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.230.0-3.mga5
+ Revision: 686874
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.230.0-2.mga5
+ Revision: 631875
- Rebuild for perl 5.20

* Tue Mar 25 2014 jquelin <jquelin> 0.230.0-1.mga5
+ Revision: 608437
- update to 0.23

* Mon Feb 10 2014 jquelin <jquelin> 0.220.0-1.mga5
+ Revision: 588839
- update to 0.22

* Sat Oct 19 2013 umeabot <umeabot> 0.210.0-5.mga4
+ Revision: 524562
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.210.0-4.mga4
+ Revision: 431010
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.210.0-3.mga3
+ Revision: 374815
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.210.0-2.mga3
+ Revision: 251310
- rebuild for perl 5.16

* Mon Mar 05 2012 jquelin <jquelin> 0.210.0-1.mga2
+ Revision: 218863
- update to 0.21

* Fri Feb 24 2012 jquelin <jquelin> 0.200.0-1.mga2
+ Revision: 213796
- update to 0.20

* Sun Jun 12 2011 sander85 <sander85> 0.18-7.mga2
+ Revision: 104871
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.18-6.mga1
+ Revision: 31456
- mageia rebuild
- imported package perl-Want


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.18-6mdv2011.0
+ Revision: 555214
- rebuild

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.18-5mdv2010.0
+ Revision: 430654
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.18-4mdv2009.0
+ Revision: 258782
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.18-3mdv2009.0
+ Revision: 246696
- rebuild

* Fri Feb 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-1mdv2008.1
+ Revision: 176707
- new version

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 0.14-2mdv2008.1
+ Revision: 151358
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun May 06 2007 Olivier Thauvin <nanardon@mandriva.org> 0.14-1mdv2008.0
+ Revision: 23601
- 0.14


* Wed Mar 29 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.10-1mdk
- 0.10

* Thu Jul 14 2005 Andreas Hasenack <andreas@mandriva.com> 0.09-1mdk
- initial Mandriva package

